MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027023Open CASCADE[OCCT] OCCT:Documentationpublic2015-12-21 13:032016-04-20 15:50
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027023: Documentation -- cross-references are hardly noticeable in PDF
DescriptionIn PDF documents generated by Doxygen for OCCT User Guides, cross-references to the same document are present and can be used to travel by the document when you read it on the screen. However, there is no visual indication in the document suggesting that some piece of text is a link. See e.g. attached document, p. 10, the line immediately before 2.7 (Produce a new solution:...) -- it contains two links.

The optimal way to make cross-references visible would be to have page number for a reference shown aside of it. The page number can also be an interactive link.
Steps To ReproduceGenerate guide containing cross-references as PDF, look at reference
TagsNo tags attached.
Test case number
Attached Filespdf file icon occt_contribution_workflow.pdf (289,443 bytes) 2015-12-21 13:13
pdf file icon occt_contribution_workflow_ysn.pdf (307,607 bytes) 2015-12-25 15:21

- Relationships
parent of 0027072closedbugmaster Highlight links in PDF by color 

-  Notes
(0049352)
git (administrator)
2015-12-21 13:09

Branch CR27023 has been created by abv.

SHA-1: 68dcd3967ec69057a4414b61cd67fa2666dc2678


Detailed log of new commits:

Author: abv
Date: Mon Dec 21 13:05:29 2015 +0300

    0027023: Documentation -- cross-references are hardly noticeable in PDF
    
    Doxygen option PDF_HYPERLINKS is set to NO to enforce generation of cross-references as explicit page numbers in PDF manuals
(0049353)
abv (manager)
2015-12-21 13:12

Fix pushed to CR27023, please review
(0049598)
ysn (developer)
2015-12-25 15:18

I've checked that fix and it works, however, there is a mode interesting idea - changing the link presentation with hypersetup command in occt_pdf_template.
I've experiemented a bit and could get blue links in the document and black ones in the TOC.
(0049601)
git (administrator)
2015-12-25 15:30

Branch CR27023 has been updated by ysn.

SHA-1: 71c2437f49f53c132fa3f05f6885f03d55bb7ea5


Detailed log of new commits:

Author: ysn
Date: Fri Dec 25 15:30:00 2015 +0300

    Fix of the template to make internal links visible in the text.
    Also picked up some improved images (from branch 24514_1).

(0049602)
ysn (developer)
2015-12-25 15:31

Please review. See the attached file with _ysn prefix.
(0049607)
abv (manager)
2015-12-25 17:37

I agree that having blue links in the text is very good point; however having page numbers is also useful, for the people who reads paper version. I suggest we keep both changes.
(0052958)
git (administrator)
2016-04-17 13:46

Branch CR27023 has been deleted by kgv.

SHA-1: 71c2437f49f53c132fa3f05f6885f03d55bb7ea5

- Related Changesets
occt: master d1c596cf
Timestamp: 2015-12-21 10:05:29
Author: abv
Committer: bugmaster
Details ] Diff ]
0027023: Documentation -- cross-references are hardly noticeable in PDF

Doxygen option PDF_HYPERLINKS is set to NO to enforce generation of cross-references as explicit page numbers in PDF manuals
mod - dox/resources/occt_ug_pdf.doxyfile Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-21 13:03 abv New Issue
2015-12-21 13:03 abv Assigned To => ysn
2015-12-21 13:09 git Note Added: 0049352
2015-12-21 13:12 abv Note Added: 0049353
2015-12-21 13:12 abv Status new => resolved
2015-12-21 13:12 abv Steps to Reproduce Updated View Revisions
2015-12-21 13:13 abv File Added: occt_contribution_workflow.pdf
2015-12-21 13:14 abv Description Updated View Revisions
2015-12-25 15:18 ysn Note Added: 0049598
2015-12-25 15:21 ysn File Added: occt_contribution_workflow_ysn.pdf
2015-12-25 15:30 git Note Added: 0049601
2015-12-25 15:31 ysn Assigned To ysn => abv
2015-12-25 15:31 ysn Note Added: 0049602
2015-12-25 17:37 abv Note Added: 0049607
2015-12-25 19:04 bugmaster Changeset attached => occt master d1c596cf
2015-12-25 19:04 bugmaster Assigned To abv => bugmaster
2015-12-25 19:04 bugmaster Status resolved => verified
2015-12-25 19:04 bugmaster Resolution open => fixed
2016-01-12 15:45 ysn Relationship added parent of 0027072
2016-04-17 13:46 git Note Added: 0052958
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker